Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentApprovalInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentApprovalInfo.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentApprovalInfo.cs	(revision 51)
@@ -0,0 +1,299 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 業者請求明細データアクセスクラス
+    /// </summary>
+    public class IOPaymentApprovalInfo : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// フィールド並び
+        /// </summary>
+        public enum NameColumn
+        {
+            CompanyCode = 0,
+            TargetDate,
+            SeqNo,
+            LineCount,
+            ApprovalNo,
+            ApprovalPerson,
+            ApprovalPersonName,
+            ApprovalAuthority,
+            ApprovalDate,
+            EntryDate,
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOPaymentApprovalInfo()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region パブリックメソッド
+
+        /// <summary>
+        /// 検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<PaymentApprovalInfo> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = "SELECT";
+                strcmd += " CompanyCode,TargetDate,SeqNo,LineCount,ApprovalNo,ApprovalPerson,ApprovalPersonName,ApprovalAuthority";
+                strcmd += " ,DATE_FORMAT(ApprovalDate, '%Y/%m/%d')";
+                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " FROM PaymentApprovalInfo";
+                strcmd += AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    PaymentApprovalInfo work = new PaymentApprovalInfo();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+
+        /// <summary>
+        /// 新規登録
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool InsertAction(List<PaymentApprovalInfo> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                foreach (PaymentApprovalInfo work in data)
+                {
+                    strcmd = "INSERT INTO PaymentApprovalInfo";
+
+                    strcmd += " VALUES (";
+
+                    strcmd += string.Format("  {0}", work.CompanyCode.ToString());
+                    strcmd += string.Format(", {0}", work.TargetDate.ToString());
+                    strcmd += string.Format(", {0}", work.SeqNo.ToString());
+                    strcmd += string.Format(", {0}", work.LineCount.ToString());
+                    strcmd += string.Format(", {0}", work.ApprovalNo.ToString());
+                    strcmd += string.Format(", {0}", work.ApprovalPerson.ToString());
+                    strcmd += string.Format(", '{0}'", work.ApprovalPersonName);
+                    strcmd += string.Format(", {0}", work.ApprovalAuthority.ToString());
+                    strcmd += string.Format(", DATE_FORMAT(DATE_FORMAT('{0}','%Y/%m/%d'),'%Y/%m/%d')", work.ApprovalDate.ToString());
+
+                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd = strcmd + ")";
+
+                    if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+        /// <summary>
+        /// 更新登録
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool UpdateAction(string AddSQLString, PaymentApprovalInfo data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE PaymentApprovalInfo";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" ApprovalPerson = {0}", data.ApprovalPerson.ToString());
+                strcmd += string.Format(",ApprovalPersonName = '{0}'", data.ApprovalPersonName);
+                strcmd += string.Format(",ApprovalAuthority = {0}", data.ApprovalAuthority.ToString());
+                strcmd += string.Format(",ApprovalDate = DATE_FORMAT(DATE_FORMAT('{0}','%Y/%m/%d'),'%Y/%m/%d')", data.ApprovalDate.ToString());
+
+                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+        /// <summary>
+        /// 削除
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM PaymentApprovalInfo", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+
+        /// <summary>
+        /// 構造体設定
+        /// </summary>
+        /// <param name="objwrk"></param>
+        /// <param name="wrk"></param>
+        public void Reader2Struct(object[] objwrk, ref PaymentApprovalInfo wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.CompanyCode = int.Parse(objwrk[(int)NameColumn.CompanyCode].ToString());
+                wrk.TargetDate = int.Parse(objwrk[(int)NameColumn.TargetDate].ToString());
+                wrk.SeqNo = int.Parse(objwrk[(int)NameColumn.SeqNo].ToString());
+                wrk.LineCount = int.Parse(objwrk[(int)NameColumn.LineCount].ToString());
+                wrk.ApprovalNo = int.Parse(objwrk[(int)NameColumn.ApprovalNo].ToString());
+                wrk.ApprovalPerson = int.Parse(objwrk[(int)NameColumn.ApprovalPerson].ToString());
+                wrk.ApprovalPersonName = objwrk[(int)NameColumn.ApprovalPersonName].ToString();
+                wrk.ApprovalAuthority = int.Parse(objwrk[(int)NameColumn.ApprovalAuthority].ToString());
+                wrk.ApprovalDate = DateTime.Parse(objwrk[(int)NameColumn.ApprovalDate].ToString());
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UpdateDate].ToString());
+            }
+            catch (MySqlException oraex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+
+        #endregion
+
+        #region パブリックメソッド（特殊処理）
+
+        /// <summary>
+        /// 行ロック
+        /// </summary>
+        public bool RowLock(int CompanyCode, int TargetDate, int SeqNo, int LineCount, int ApprovalNo, bool bConnect = true)
+        {
+
+            //インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = string.Format("select * from PaymentApprovalInfo Where CompanyCode = {0} and TargetDate = {1} and SeqNo = {2} and LineCount = {3} and ApprovalNo = {4} for update;",
+                                        CompanyCode, TargetDate, SeqNo, LineCount, ApprovalNo);
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+
+        }
+
+        public string CreatePrimarykeyString(int CompanyCode, int TargetDate, int SeqNo, int LineCount, int ApprovalNo)
+        {
+            string strWork = string.Empty;
+            try
+            {
+                strWork = string.Format(" Where CompanyCode = {0} and TargetDate = {1} and SeqNo = {2} and LineCount = {3} and ApprovalNo = {4}", CompanyCode, TargetDate, SeqNo, LineCount,ApprovalNo);
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+
+        #endregion
+
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentDataDetail.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentDataDetail.cs	(revision 51)
@@ -0,0 +1,368 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 支払明細データアクセスクラス
+    /// </summary>
+    public class IOPaymentDataDetail : MySqlProcess
+    {
+                #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// フィールド並び
+        /// </summary>
+        public enum NameColumn
+        {
+            CompanyCode = 0,
+            TargetDate,
+            SeqNo,
+            LineCount,
+            BillPrice,
+            DiscountPrice,
+            OffsetPrice,
+            NextCoPrice,
+            HighwPrice,
+            HardwPrice,
+            IndsWasteTax,
+            CnstrPrice,
+            CnstrPriceExist,
+            ApprovalPersonCode,
+            ApprovalDate,
+            ApprovalEndFlg,
+            EntryDate,
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOPaymentDataDetail()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region パブリックメソッド
+        /// <summary>
+        /// 検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<PaymentDataDetail> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = "SELECT";
+                strcmd += " CompanyCode,TargetDate,SeqNo,LineCount,BillPrice,DiscountPrice,OffsetPrice,NextCoPrice,HighwPrice,HardwPrice,IndsWasteTax,CnstrPrice,CnstrPriceExist,ApprovalPersonCode,ApprovalDate,ApprovalEndFlg";
+                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " FROM PaymentDataDetail";
+                strcmd += AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    PaymentDataDetail work = new PaymentDataDetail();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+
+        /// <summary>
+        /// 新規登録
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool InsertAction(List<PaymentDataDetail> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                foreach (PaymentDataDetail work in data)
+                {
+                    strcmd = "INSERT INTO PaymentDataDetail";
+
+                    strcmd += " VALUES (";
+
+                    strcmd += string.Format("  {0}", work.CompanyCode.ToString());
+                    strcmd += string.Format(", {0}", work.TargetDate.ToString());
+                    strcmd += string.Format(", {0}", work.SeqNo.ToString());
+                    strcmd += string.Format(", {0}", work.LineCount.ToString());
+                    strcmd += string.Format(", {0}", work.BillPrice.ToString());
+
+                    strcmd += string.Format(", {0}", work.DiscountPrice.ToString());
+                    strcmd += string.Format(", {0}", work.OffsetPrice.ToString());
+                    strcmd += string.Format(", {0}", work.NextCoPrice.ToString());
+                    strcmd += string.Format(", {0}", work.HighwPrice.ToString());
+                    strcmd += string.Format(", {0}", work.HardwPrice.ToString());
+                    strcmd += string.Format(", {0}", work.IndsWasteTax.ToString());
+                    strcmd += string.Format(", {0}", work.CnstrPrice.ToString());
+
+                    strcmd += string.Format(", {0}", work.CnstrPriceExist.ToString());
+                    strcmd += string.Format(", {0}", work.ApprovalPersonCode.ToString());
+                    strcmd += string.Format(", DATE_FORMAT(DATE_FORMAT('{0}','%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')", work.ApprovalDate.ToString());
+                    strcmd += string.Format(", {0}", work.ApprovalEndFlg.ToString());
+
+                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd = strcmd + ")";
+
+                    if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+        /// <summary>
+        /// 更新登録
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool UpdateAction(string AddSQLString, PaymentDataDetail data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE PaymentDataDetail";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" BillPrice = {0}", data.BillPrice.ToString());
+                strcmd += string.Format(",DiscountPrice = {0}", data.DiscountPrice.ToString());
+                strcmd += string.Format(",OffsetPrice = {0}", data.OffsetPrice.ToString());
+                strcmd += string.Format(",NextCoPrice = {0}", data.NextCoPrice.ToString());
+                strcmd += string.Format(",HighwPrice = {0}", data.HighwPrice.ToString());
+                strcmd += string.Format(",HardwPrice = {0}", data.HardwPrice.ToString());
+                strcmd += string.Format(",IndsWasteTax = {0}", data.IndsWasteTax.ToString());
+
+                strcmd += string.Format(",CnstrPrice = {0}", data.CnstrPrice.ToString());
+                strcmd += string.Format(",CnstrPriceExist = {0}", data.CnstrPriceExist.ToString());
+                strcmd += string.Format(",ApprovalPersonCode = {0}", data.ApprovalPersonCode.ToString());
+                strcmd += string.Format(",ApprovalDate = DATE_FORMAT(DATE_FORMAT('{0}','%Y/%m/%d'),'%Y/%m/%d')", data.ApprovalDate.ToString());
+                strcmd += string.Format(",ApprovalEndFlg = {0}", data.ApprovalEndFlg.ToString());
+
+                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+        /// <summary>
+        /// 削除
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM PaymentDataDetail", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+
+        /// <summary>
+        /// 構造体設定
+        /// </summary>
+        /// <param name="objwrk"></param>
+        /// <param name="wrk"></param>
+        public void Reader2Struct(object[] objwrk, ref PaymentDataDetail wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.CompanyCode = int.Parse(objwrk[(int)NameColumn.CompanyCode].ToString());
+                wrk.TargetDate = int.Parse(objwrk[(int)NameColumn.TargetDate].ToString());
+                wrk.SeqNo = int.Parse(objwrk[(int)NameColumn.SeqNo].ToString());
+                wrk.LineCount = int.Parse(objwrk[(int)NameColumn.LineCount].ToString());
+                wrk.BillPrice = long.Parse(objwrk[(int)NameColumn.BillPrice].ToString());
+                wrk.DiscountPrice = long.Parse(objwrk[(int)NameColumn.DiscountPrice].ToString());
+
+                wrk.OffsetPrice = long.Parse(objwrk[(int)NameColumn.OffsetPrice].ToString());
+                wrk.NextCoPrice = long.Parse(objwrk[(int)NameColumn.NextCoPrice].ToString());
+                wrk.HighwPrice = long.Parse(objwrk[(int)NameColumn.HighwPrice].ToString());
+                wrk.HardwPrice = long.Parse(objwrk[(int)NameColumn.HardwPrice].ToString());
+                wrk.IndsWasteTax = long.Parse(objwrk[(int)NameColumn.IndsWasteTax].ToString());
+
+                wrk.CnstrPrice = long.Parse(objwrk[(int)NameColumn.CnstrPrice].ToString());
+                wrk.CnstrPriceExist = int.Parse(objwrk[(int)NameColumn.CnstrPriceExist].ToString());
+                wrk.ApprovalPersonCode = int.Parse(objwrk[(int)NameColumn.ApprovalPersonCode].ToString());
+
+                wrk.ApprovalDate = DateTime.Parse(objwrk[(int)NameColumn.ApprovalDate].ToString());
+                wrk.ApprovalEndFlg = int.Parse(objwrk[(int)NameColumn.ApprovalEndFlg].ToString());
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UpdateDate].ToString());
+            }
+            catch (MySqlException oraex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+
+        #endregion
+
+        #region パブリックメソッド（特殊処理）
+
+        /// <summary>
+        /// 件数取得
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int DataCount(string AddSQLString, bool bConnect = true)
+        { 
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iReturn = 0;
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = "SELECT count(CompanyCode)";
+                strcmd += " FROM PaymentDataDetail ";
+                strcmd += AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return -1;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    iReturn = CommonMotions.cnvInt(objwrk[0]);
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+            return iReturn;
+        }
+
+        public string CreatePrimarykeyString(int CompanyCode, int TargetDate, int SeqNo, int LineCount)
+        {
+            string strWork = string.Empty;
+            try
+            {
+                strWork = string.Format(" Where CompanyCode = {0} and TargetDate = {1} and SeqNo = {2} and LineCount = {3}", CompanyCode, TargetDate, SeqNo, LineCount);
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+
+        /// <summary>
+        /// 行ロック
+        /// </summary>
+        public bool RowLock(int CompanyCode, int TargetDate, int SeqNo, int LineCount, bool bConnect = true)
+        {
+
+            //インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = string.Format("select * from PaymentDataDetail where CompanyCode = {0} and TargetDate = {1} and SeqNo = {2} and LineCount = {3} for update;",
+                                        CompanyCode, TargetDate, SeqNo, LineCount);
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+
+        }
+
+
+        #endregion
+
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPointingOutComment.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPointingOutComment.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPointingOutComment.cs	(revision 51)
@@ -6,7 +6,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;  
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -95,13 +95,13 @@
         #region 複数データ読込み処理
         public bool SelectAction(string AddSQLString, ref List<PointingOutComment> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成
                 strcmd = CreateSelectSQL() + AddSQLString;
 
                 // SQL実行
@@ -128,13 +128,13 @@
         #region 1件データ読込処理
         public bool SelectAction(string AddSQLString, ref PointingOutComment data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成
                 strcmd = CreateSelectSQL() + AddSQLString;
 
                 // SQL実行
@@ -187,8 +187,8 @@
                     strcmd += string.Format(", {0}", data.CurrentWidth);
                     strcmd += string.Format(", {0}", data.CurrentHeight);
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -256,7 +256,7 @@
                 strcmd += string.Format(",CurrentWidth = {0}", data.CurrentWidth);
                 strcmd += string.Format(",CurrentHeight = {0}", data.CurrentHeight);
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -280,7 +280,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -300,9 +300,8 @@
 
         #region 読込みオブジェクトセット処理
         /// <summary>
-        /// OracleDataReaderより構造体へセットする
+        /// 構造体へセットする
         /// </summary>
-        /// <param name="reader">OracleDataReader</param>
         /// <param name="wrk">構造体</param>
         public void Reader2Struct(object[] objwrk, ref PointingOutComment wrk)
         {
@@ -328,7 +327,7 @@
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
@@ -348,7 +347,7 @@
         /// <returns></returns>
         public int SelectMaxConstructionCodeCount(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
             int iRet = 0;
